// Your name goes here

// The x- and y-coordinates
int x, y;

// Set the size of the output window
void setup()
{
  size(400, 400);
}

// Erase background of the output window to white
// Then if mouse button is pressed, call the zoog() function to draw "Zoog"
void draw()
{
  background(255);

  if (mousePressed)
  {
    zoog();
  }
}

// Draw "Zoog" at mouseX and mouseY locations
void zoog()
{
  // Define x and y coordinates at mouse location
  x = mouseX;
  y = mouseY;
  
  // Draw the body
  stroke(0);
  fill(150);
  rectMode(CENTER);
  rect(x, y, 20, 100);

  // Draw the head
  stroke(0);
  fill(255);
  ellipse(x, y - 30, 60, 60);

  // Draw the eyes
  fill(0);
  ellipse(x - 19, y - 30, 16, 32);
  ellipse(x + 19, y - 30, 16, 32);
  
  // Draw the legs
  stroke(0);
  line(x - 10, y + 50, x - 20, y + 60);
  line(x + 10, y + 50, x + 20, y + 60);
}
