// Your name goes here

// Declares variable for pavement color (background)
int pavement = 102;

// Sets size of output window, turns off stroke and sets background color to grey
void setup()
{
  size(400, 400);
  noStroke();
  background(pavement);
}

// Call the snow() function to draw the "snow" and shovelSnow() function to "shovel" the snow
void draw()
{
  snow();
  shovelSnow();
}

// Draw snow as small white ellipses at random locations in the output window
void snow()
{
  int x = (int) random(width * 0.10, width * 0.90 );
  int y = (int) random(height * 0.10, height * 0.90 );

  fill(255);
  ellipse(x, y, 5, 5);
}

// If the mouse button is pressed, "shovel" snow by drawing a larger ellipse 
// the same color as the background at the mouse location
void shovelSnow()
{
  if (mousePressed)
  {
    fill(pavement);
    ellipse(mouseX, mouseY, 50, 50);
  }
}
