// Your name goes here

// Set size of the output window, background to white and frame rate to 10
void setup()
{
  size(400, 400);
  background(255);
  frameRate(10);
}

// Calculate random values for x- and y-coordinates, call stickMan(int, int) function
// passing x- and y-coordinates, and finally if mouse button is pressed set background to white
void draw()
{
  int x = (int) random(50, width - 50);
  int y = (int) random(50, height - 50);
  
  stickMan(x, y);
  
  if (mousePressed)
  {
    background(255);
  }
}

// Draw a "StickMan" at the location of the
// x- and y- coordinates
void stickMan(int x, int y)
{
  // Draw head
  fill(255, 204, 151);
  ellipse(x, y - 40, 40, 40);
  
  // Draw body
  line(x, y - 20, x, y + 30);
  
  // Draw left arm
  line(x, y, x - 25, y + 5);
  line(x - 25, y + 5, x - 40, y + 30);
  
  // Draw right arm
  line(x, y, x + 18, y + 8);
  line(x + 18, y + 8, x + 42, y - 25);

  // Draw left leg
  line(x, y + 30, x - 5, y + 60);
  line(x - 5, y + 60, x - 35, y + 50);
  
  // Draw right leg
  line(x, y + 30, x + 35, y + 43);
  line(x + 35, y + 43, x + 15, y + 73);
  
  // Draw shoes
  fill(0);
  rect(x - 42, y + 50, 8, 20);
  rect(x + 15, y + 73, 20, 8);
}
