// Your name goes here

// Set size of output window, rect mode to center, and turn stroke off
void setup()
{
  size(400, 400);
  rectMode(CENTER);
  noStroke();
}

// Set background to white and then draw the two circle and two squares
void draw()
{
  background(255);
  
  int redSize = growing();
  int reverseX = rightLeft();
  int reverseY = belowAbove();
  
  fill(255, 0, 0);                        // The red circle
  circle(mouseX, mouseY, redSize);
  fill(0, 255, 0);                        // The green circle
  circle(mouseX , reverseY, 30);
  fill(255, 255, 0);                      // The yellow square
  square(reverseX , mouseY, 12);
  fill(0, 0, 255);                        // The blue square
  square(reverseX, reverseY, 25);
}

// Draw a circle with parameters for x- and y- coordinates, and diameter
void circle(int xCoord, int yCoord, int diameter)
{
  ellipse(xCoord, yCoord, diameter, diameter);
}

// Draw a square with parameters for x- and y- coordinates, and side (length and width)
void square(int xCoord, int yCoord, int side)
{
  rectMode(CENTER);
  rect(xCoord, yCoord, side, side);
}

// Calculate the size of an object as the sum of mouseX plus mouseY divided by 4
int growing()
{
  return (mouseX + mouseY) / 4;
}

// Calculate how far to the right or left is the coordinating object 
// as the width of output window minus mouseX
int rightLeft()
{
  return width - mouseX;
}

// Calculate how far below or above is the coordinating object 
// as the height of output window minus mouseY
int belowAbove()
{
  return height - mouseY;
}
